RegistrationEventHandler
Date: 2018-08-02

org.gcube.informationsystem.notifier.util

## Interface RegistrationEventHandler<P extends EPR,C extends EPR>

- All Known Implementing Classes:
    RegistrationEventHandlerImpl

      public interface RegistrationEventHandler<P extends EPR,C extends EPR>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<org.apache.axis.message.addressing.EndpointReferenceType>` | `getSubscriptionEPRByConsumer(C consumer)`
    `java.util.List<org.apache.axis.message.addressing.EndpointReferenceType>` | `getSubscriptionEPRByProducer(P producer)`
    `void` | `onNewConsumer(C consumer, java.util.List<P> registeredProducerList)`
    `void` | `onNewProducer(P newProducer, java.util.List<C> regsteredConsuerList)`
    `void` | `onProducerExist(P newProducer, P oldProducer, java.util.List<C> registeredConsumerList)`
    `void` | `onRemoveConsumer(C consumer)`
    `void` | `onRemoveProducer(P producer)`

- - ### Method Detail

    - #### onProducerExist

          void onProducerExist(P newProducer,
                             P oldProducer,
                             java.util.List<C> registeredConsumerList)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### onNewConsumer

          void onNewConsumer(C consumer,
                           java.util.List<P> registeredProducerList)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### onRemoveConsumer

          void onRemoveConsumer(C consumer)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### onNewProducer

          void onNewProducer(P newProducer,
                           java.util.List<C> regsteredConsuerList)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### onRemoveProducer

          void onRemoveProducer(P producer)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getSubscriptionEPRByConsumer

          java.util.List<org.apache.axis.message.addressing.EndpointReferenceType> getSubscriptionEPRByConsumer(C consumer)

    - #### getSubscriptionEPRByProducer

          java.util.List<org.apache.axis.message.addressing.EndpointReferenceType> getSubscriptionEPRByProducer(P producer)